Name:           net6
Version:        1.3.5
Release:        2%{?dist}
Summary:        A TCP protocol abstraction for library C++

Group:          Development/Libraries
License:        LGPLv2
URL:            http://releases.0x539.de/net6/
Source0:        http://releases.0x539.de/net6/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libsigc++20-devel, gnutls-devel
Requires:       gnutls

%description
net6 is a library which eases the development of network-based applications
as it provides a TCP protocol abstraction for C++. It is portable to both
the Windows and Unix-like platforms.


%package devel
Summary:        Development libraries for net6
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig, libsigc++20-devel, gnutls-devel

%description devel
net6 is a library which eases the development of network-based applications
as it provides a TCP protocol abstraction for C++. It is portable to both
the Windows and Unix-like platforms.

This package contains the header files for the use of the net6 development
library.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %name


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog COPYING NEWS
%{_libdir}/*.so.*

%files devel
%{_includedir}/net6
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Tue Aug 21 2007 Luke Macken <lmacken@redhat.com> - 1.3.5-2
- Update License to LGPLv2

* Sat Jun 16 2007 Luke Macken <lmacken@redhat.com> - 1.3.5-1
- 1.3.5

* Wed Apr 25 2007 Luke Macken <lmacken@redhat.com> - 1.3.4-1
- 1.3.4

* Wed Mar  7 2007 Luke Macken <lmacken@redhat.com> - 1.3.3-1
- 1.3.3

* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> - 1.3.1-2
- Rebuild for FC6

* Thu Aug 31 2006 Luke Macken <lmacken@redhat.com> - 1.3.1-1
- 1.3.1

* Sun Aug 20 2006 Luke Macken <lmacken@redhat.com> - 1.3.0-5.rc3
- 1.3.0rc3

* Fri Jun 16 2006 Luke Macken <lmacken@redhat.com> - 1.3.0-4.rc2
- Rebuild

* Wed May 17 2006 Luke Macken <lmacken@redhat.com> - 1.3.0-3.rc2
- 1.3.0rc2

* Sat Apr 15 2006 Luke Macken <lmacken@redhat.com> - 1.3.0-2.rc1
- Add gnutls-devel to BuildRequires for -devel package

* Fri Apr 14 2006 Luke Macken <lmacken@redhat.com> - 1.3.0-1.rc1
- 1.3.0rc1

* Mon Feb 13 2006 Luke Macken <lmacken@redhat.com> - 1.2.2-2
- Rebuild

* Thu Dec 22 2005 Luke Macken <lmacken@redhat.com> - 1.2.2-1
- 1.2.2

* Sat Nov 26 2005 Luke Macken <lmacken@redhat.com> - 1.2.1-2
- Rebuild

* Sat Nov 26 2005 Luke Macken <lmacken@redhat.com> - 1.2.1-1
- Bump to 1.2.1

* Wed Nov 16 2005 Luke Macken <lmacken@redhat.com> - 1.2.0-1
- Bump to 1.2.0

* Fri Sep 30 2005 Luke Macken <lmacken@redhat.com> - 1.1.0-2
- Use find_lang macro
- Add pkg-config to -devel Requires

* Thu Sep 29 2005 Luke Macken <lmacken@redhat.com> - 1.1.0-1
- Packaged for Fedora Extras
